<?xml version='1.0' encoding='utf-8' ?>
<patch id='pi-20240016' name='AS-20240016-2312'>
	<services>
		<svc name='Server'><module name='fckintone-2312.1709.jar' path='\system\lib\components\fckintone-2312.1709.jar' timestamp='2024-03-15T08:38:26.107 UTC' size='1918.71KB' />
</svc>
	</services>
	<install>
■フローサービスへのインストール手順

1.FSMCに管理者権限のユーザーでログインし「システム＞アップデート＞パッチ」画面を表示します。

2.「アップロード」ボタンをクリックし次のファイルをアップロードします。

　アップロード対象ファイル：[Patch.zip]/AS-20240016-2312.1709.asar

　※[Patch.zip]とは個別パッチのアーカイブファイルの事を示します。

3.フローサービスを停止します。

4.フローサービスを起動します。

5.FSMCに管理権限のユーザーでログインし「システム＞アップデート＞パッチ」画面を表示して本パッチが適用されていることを確認します。

■フローデザイナーへのコンポーネント／マッパー関数適用手順

1.フローデザイナーを起動し、既にモジュールを置き換えたフローサービスに接続する。

2.上部メニューのツールより[コンポーネント／マッパー関数の取得]を開く。 

3.サーバ上のjarファイル一覧より、以下のファイル選択し、ダウンロードする。 
    　　対象モジュール：fckintone-2312.1709.jar
    　　※"ファイル「ファイル名」は既に存在します。上書きしますか？"のメッセージが出力された場合、 
　　　「はい」を押下 

4.フローデザイナーを再起動する。

（一般的なご注意）
提供モジュールがasarファイル以外の場合
 - Windows系OSにモジュールを配置する際は、管理者モードで行ってください。
 - UNIX系OSの場合にはファイルの所有者やモードにつきましてもご注意ください。
FTP等でコピーする場合はBinaryモードでお願い致します。

Copyright (C) 1999-2024 Asteria Corporation All Rights Reserved.</install>
	<information>
		<target name='ASTERIA WARP' version='2312'/>
		<bugs>
			<bug no='852048'>#852048 kintoneGetコンポーネントで次のすべての条件に一致する場合にエラーが発生する不具合を修正
・「リミット」、「オフセット」プロパティの両方とも指定されていない
・「クエリー」プロパティにorder by句を指定している</bug>
		</bugs>
		<patchs>
			<patch id='pi-AS-20240013-2312' name='AS-20240013-2312'>
	<bug no='851949'>kintoneGetコンポーネントで次のすべての条件に一致する場合、実行時に結果が返ってこない不具合を修正
・「リミット」、「オフセット」、「ソートキー」プロパティのすべてが指定されていない
・クエリーに「or演算子」を指定している
・指定した条件に一致するレコードの件数が「API制限件数」プロパティで指定した数以上存在する</bug>
</patch>
<patch id='pi-AS-20240014-2312' name='AS-20240014-2312'>
	<bug no='851949'>kintoneGetコンポーネントで次のすべての条件に一致する場合、実行時に結果が返ってこない不具合を修正
・「リミット」、「オフセット」、「ソートキー」プロパティのすべてが指定されていない
・クエリーに「or演算子」を指定している
・指定した条件に一致するレコードの件数が「API制限件数」プロパティで指定した数以上存在する</bug>
</patch>

		</patchs>
	</information>
</patch>